summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-update-linked-scripts
diff options
context:
space:
mode:
authorPeter Breitenlohner <peb@mppmu.mpg.de>2011-03-01 09:15:07 +0000
committerPeter Breitenlohner <peb@mppmu.mpg.de>2011-03-01 09:15:07 +0000
commit79ebc393a9a1a02b04524ae5029641aac2aef21f (patch)
treecfebcc8939ec1b35bf3a65b77e8a683cf56efabb /Master/tlpkg/bin/tl-update-linked-scripts
parentdaa39d7bb94a351fd49f9afcb59233a232367860 (diff)
program to update copies of linked scripts under Build/
git-svn-id: svn://tug.org/texlive/trunk@21561 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/tl-update-linked-scripts')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-linked-scripts30
1 files changed, 30 insertions, 0 deletions
diff --git a/Master/tlpkg/bin/tl-update-linked-scripts b/Master/tlpkg/bin/tl-update-linked-scripts
new file mode 100755
index 00000000000..22071454546
--- /dev/null
+++ b/Master/tlpkg/bin/tl-update-linked-scripts
@@ -0,0 +1,30 @@
+#!/bin/sh
+# $Id: tl-update-linked-scripts 15745 2009-10-10 17:52:48Z karl $
+# Public domain. Originally written 2011, Peter Breitenlohner.
+#
+# This script updates the linked scripts under Build.
+
+mydir=`cd \`dirname $0\` && pwd`
+Master=`cd $mydir/../.. && pwd`
+Dest=`cd $Master/../Build/source/texk/texlive/linked_scripts && pwd`
+
+test -r $Dest/scripts.lst || {
+ echo "$0: \`$Dest/scripts.lst' missing'"
+ exit 1
+}
+
+. $Dest/scripts.lst
+
+compare_and_copy () {
+ Src=$Master/$1/scripts
+ shift
+ for file in $@; do
+ cmp -s $Src/$file $Dest/$file && continue
+ echo "updating $Src/$file -> $Dest/$file"
+ svn delete --force $Dest/$file && svn copy $Src/$file $Dest/$file || exit 1
+ cp $Src/$file $Dest/$file
+ done
+}
+
+compare_and_copy texmf $texmf_scripts
+compare_and_copy texmf-dist $texmf_dist_scripts